import { Controller, Get, Inject } from '@midwayjs/core';
import { StatisticsService } from '../../service/core/statistics.service';
import { RF } from '../../response/CustomerResponse';
import { Page, Query } from '../../decorator/page.decorator';

@Controller('/statistics')
export class StatisticsController {
  @Inject()
  service: StatisticsService;

  //   资源统计
  @Get('/resource')
  async resource(@Query() query, @Page() page) {
    const result = await this.service.resource(query, page);
    return RF.success(result);
  }
  //   作业统计
  @Get('/work')
  async work(@Query() query, @Page() page) {
    const result = await this.service.work(query, page);
    return RF.success(result);
  }
  //   用户统计
  @Get('/user')
  async user(@Query() query, @Page() page) {
    const result = await this.service.user(query, page);
    return RF.success(result);
  }
  //   资源管理
  @Get('/natural')
  async natural() {
    const result = await this.service.natural();
    return RF.success(result);
  }
  //   监控作业
  @Get('/task')
  async task() {
    const result = await this.service.task();
    return RF.success(result);
  }
  //   首页统计
  @Get('/total')
  async total() {
    const result = await this.service.total();
    return RF.success(result);
  }
  //   首页echarts
  @Get('/echarts1')
  async echarts1() {
    const result = await this.service.echarts1();
    return RF.success(result);
  }
  @Get('/echarts2')
  async echarts2() {
    const result = await this.service.echarts2();
    return RF.success(result);
  }
  @Get('/echarts3')
  async echarts3() {
    const result = await this.service.echarts3();
    return RF.success(result);
  }
  @Get('/echarts4')
  async echarts4() {
    const result = await this.service.echarts4();
    return RF.success(result);
  }
  @Get('/echarts5')
  async echarts5() {
    const result = await this.service.echarts5();
    return RF.success(result);
  }
  @Get('/echarts6')
  async echarts6() {
    const result = await this.service.echarts6();
    return RF.success(result);
  }
  @Get('/echarts7')
  async echarts7() {
    const result = await this.service.echarts7();
    return RF.success(result);
  }
}
