import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'performance' },
})
export class Performance extends BaseModel {
  @prop({ required: false, index: false, zh: '节点名称' })
  node_name: string;
  @prop({
    required: false,
    index: false,
    zh: '管理IP',
  })
  admin_ip: string;
  @prop({
    required: false,
    index: false,
    zh: '系统IP',
  })
  system_ip: string;
  @prop({
    required: false,
    index: false,
    zh: '开关机状态',
  })
  switch: string;
  @prop({
    required: false,
    index: false,
    zh: 'CPU利用率',
  })
  cpu_utilize: string;
  @prop({
    required: false,
    index: false,
    zh: 'GPU利用率',
  })
  gpu_utilize: string;
  @prop({
    required: false,
    index: false,
    zh: '内存利用率',
  })
  memory: string;
  @prop({
    required: false,
    index: false,
    zh: '网络端口收发速度',
    default: '---/---',
  })
  speed: string;
  @prop({
    required: false,
    index: false,
    zh: '负载',
  })
  load: string;
}
