import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'organization' },
})
export class Organization extends BaseModel {
  @prop({ required: false, index: false, zh: '组织名称' })
  name: string;
  @prop({
    required: false,
    index: false,
    zh: '上级组织',
    esType: 'manager',
    
  })
  manager: string;
  @prop({ required: false, index: false, zh: '组成员数' })
  num: number;
  @prop({
    required: false,
    index: false,
    zh: '最大运行作业数',
    default: '未设置',
  })
  max_work: string;
  @prop({
    required: false,
    index: false,
    zh: '最大使用核数',
    default: '未设置',
  })
  max_pit: string;
  @prop({
    required: false,
    index: false,
    zh: '最大使用GPU数',
    esType: 'max_cpu',
    default: '未设置',
  })
  max_cpu: string;
  @prop({ required: false, index: false, zh: '计费折扣' })
  money: string;
  @prop({ required: false, index: false, zh: '存储配额(G)' })
  quota: string;
  @prop({
    required: false,
    index: false,
    esType: 'storage',
  })
  storage: string;
  @prop({ required: false, index: false, zh: '共享文件夹' })
  folder: string;
  @prop({
    required: false,
    index: false,
    zh: '备注',
    esType: 'remark',
    
  })
  remark: string;
}
